Bug 848060 - [RFE][UI] Mark LUNs that are used by Direct LUN as 'used' (currently a check is only done later on)
[RFE][UI] Mark LUNs that are used by Direct LUN as 'used' (currently a check...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs (Show other bugs)
3.1.0
x86_64 Linux
unspecified Severity low
: ---
: 3.2.0
Assigned To: Miki Kenneth
Yaniv Kaul
storage
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-14 09:32 EDT by vvyazmin@redhat.com
Modified: 2016-02-10 15:24 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-04 14:15:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
## Logs vdsm, rhevm, screen-shots (1.80 MB, application/x-gzip)
2012-08-14 09:32 EDT, vvyazmin@redhat.com
no flags Details

  None (edit)
Description vvyazmin@redhat.com 2012-08-14 09:32:18 EDT
Created attachment 604297 [details]
## Logs vdsm, rhevm, screen-shots

Description of problem:
After creating Direct LUN, in “Discover Targets” UI, this LUN have status “Free”

Version-Release number of selected component (if applicable):
Verified on RHEVM 3.1 - SI13.3

RHEVM: rhevm-3.1.0-11.el6ev.noarch
VDSM: vdsm-4.9.6-27.0.el6_3.x86_64
LIBVIRT: libvirt-0.9.10-21.el6.x86_64
QEMU & KVM: qemu-kvm-rhev-0.12.1.2-2.298.el6_3.x86_64
SANLOCK: sanlock-2.3-3.el6_3.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Create a new Direct LUN (in my example “dLun-32-01”)
2. Try create a new Direct LUN, select Direct LUN that was created from previous step
3. Failed create Direct LUN, and get a warning “LUN is already used by a Disk: dLun-32-01” (see attached print-screen)
  
Actual results:
I get right result, but in UI this LUN have status "Free", although this LUN already used by Direct LUN

Expected results:
In UI this LUN will have status "Used"

Additional info:
Comment 1 Daniel Erez 2013-02-04 14:15:22 EST
The UI grays out LUNs that are used by DirectLUN disks. The 'In Use' column (Free/Used) represents 'status' field of VDSM's LUN object (contains a VG indicator).

Note You need to log in before you can comment on or make changes to this bug.